Package org.silverpeas.mobile.client.common.file

## Class FileMgr

- java.lang.Object
- - org.silverpeas.mobile.client.common.file.FileMgr

-     public class FileMgr
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FileMgr.DirectoryEntry` |
    `static class` | `FileMgr.DirectoryReader` |
    `static class` | `FileMgr.Entry` |
    `static interface` | `FileMgr.EntryCallback` |
    `static class` | `FileMgr.Event` |
    `static interface` | `FileMgr.EventCallback` |
    `static class` | `FileMgr.File` |
    `static class` | `FileMgr.FileBase` |
    `static interface` | `FileMgr.FileCallback` |
    `static class` | `FileMgr.FileEntry` |
    `static class` | `FileMgr.FileError` |
    `static class` | `FileMgr.FileErrorCode` |
    `static interface` | `FileMgr.FileMgrCallback` |
    `static class` | `FileMgr.FileOptions` |
    `static class` | `FileMgr.FileReader` |
    `static class` | `FileMgr.FileSystem` |
    `static interface` | `FileMgr.FileSystemCallback` |
    `static class` | `FileMgr.FileTransfer` |
    `static interface` | `FileMgr.FileTransferCallback` |
    `static class` | `FileMgr.FileTransferError` |
    `static class` | `FileMgr.FileTransferErrorCode` |
    `static class` | `FileMgr.FileTransferOptions` |
    `static class` | `FileMgr.FileTransferResult` |
    `static class` | `FileMgr.FileWriter` |
    `static interface` | `FileMgr.FileWriterCallback` |
    `static interface` | `FileMgr.FreeDiskSpaceCallback` |
    `static class` | `FileMgr.LocalFileSystem` |
    `static class` | `FileMgr.Metadata` |
    `static interface` | `FileMgr.MetadataCallback` |
    `static interface` | `FileMgr.ReaderCallback` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FileMgr()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `getFreeDiskSpace​(FileMgr.FreeDiskSpaceCallback callback)` |
    `static FileMgr.FileReader` | `newFileReader()` |
    `static FileMgr.FileTransfer` | `newFileTransfer()` |
    `static void` | `requestFileSystem​(FileMgr.LocalFileSystem localFileSystem, FileMgr.FileSystemCallback callback)` |
    `static void` | `testDirectoryExists​(String dirName, FileMgr.FileMgrCallback callback)` |
    `static void` | `testFileExists​(String fileName, FileMgr.FileMgrCallback callback)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileMgr

          protected FileMgr()

  - ### Method Detail

    - #### newFileReader

          public static FileMgr.FileReader newFileReader()

    - #### newFileTransfer

          public static FileMgr.FileTransfer newFileTransfer()

    - #### requestFileSystem

          public static void requestFileSystem​(FileMgr.LocalFileSystem localFileSystem,
                                               FileMgr.FileSystemCallback callback)

    - #### testFileExists

          public static void testFileExists​(String fileName,
                                            FileMgr.FileMgrCallback callback)

    - #### testDirectoryExists

          public static void testDirectoryExists​(String dirName,
                                                 FileMgr.FileMgrCallback callback)

    - #### getFreeDiskSpace

          public static void getFreeDiskSpace​(FileMgr.FreeDiskSpaceCallback callback)